Bug 868802 - PackageKit wants to reboot when a new kernel is installed even when the running is newer than the one installed, and sets it as a default kernel
PackageKit wants to reboot when a new kernel is installed even when the runni...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: PackageKit (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 03:55 EDT by Endre "Hrebicek" Balint-Nagy
Modified: 2017-01-09 10:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Endre "Hrebicek" Balint-Nagy 2012-10-22 03:55:24 EDT
Description of problem:
PackagetKit thinks an upgraded kernel is always better than the running one.

Version-Release number of selected component (if applicable):
PackageKit-0.5.8-21.el6.x86_64

How reproducible:
Install an upstream 3.5.x kernel and wait while an upgraded 2.6.32.x kernel appears.

Steps to Reproduce:
1. Download an upstream kernel.
2. run make *configure;make install
3. make the new kernel default
4. wait for a regular kernel upgrade and see your default overridden.
  
Actual results:
The assumed to be nevest kernel is set as default kernel.

Expected results:
The upstream kernel should remain as default.

Additional info:
I have reason to run an upstream kernel as the current one panics on bluetooth activity in average once a day. I think PackageKit should keep my preferences even it is unusual.
Comment 2 Endre "Hrebicek" Balint-Nagy 2012-10-22 05:47:35 EDT
It may be related to kernel postinstall scripts of course, not necessarily the PackageKit is responsible, but definitely it manifests on PackageKit activity.
Comment 3 RHEL Product and Program Management 2012-12-14 03:08:14 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.